# pktopbm

Updated: 15 September 2023
Table Of Contents

## NAME

pktopbm - convert packed (PK) format font into PBM

## SYNOPSIS

pktopbm pkfile [ -x width ] [ -y height ] [-c num] pbmfile ...

## DESCRIPTION

This program is part of Netpbm.

pktopbm reads a packed (PK) font file as input, and produces PBM images as output. If the filename "-" is used for any of the filenames, the standard input stream (or standard output where appropriate) will be used. If either the width or height is specified, this value will be used for all bitmaps produced. Also if one or both values are specified, the bitmap will be relocated with the hoffset and voffset given in the pkfile. The basepoint will be placed in the lower left corner of the bitmap if the bitmap is bigger than the specified size it will be truncated at the top or right.

## OPTIONS

In addition to the options common to all programs based on libnetpbm (most notably -quiet, see Common Options), pktopbm recognizes the following command line options:

-character num
  This is the code point (character number) to which the first specified output file pertains. Ergo, there is no output for any code point lower than this.
-x width
  The width of the image in columns. The default is what is specified in the font file.
-y width
  The height of the image in rows. The default is what is specified in the font file.

## HISTORY

Before Netpbm 11.04 (September 2023), the program would sometimes add the suffix ".pk" to the specified input file name. It also let you specify multiple -c options, with each applying to the output file names that came after it.

## SEE ALSO

pbmtopk, pbm

## AUTHOR

Adapted from Tom Rokicki's pxtopk by Angus Duggan <ajcd@dcs.ed.ac.uk>. <bartel@informatik.tu-muenchen.de> in March 1995.

## Table Of Contents

- SYNOPSIS
- DESCRIPTION
- OPTIONS
- HISTORY
- SEE ALSO
- AUTHOR